libetonyek::IWORKLayoutElement Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
libetonyek::IWORKLayoutElement Class Reference

`#include <IWORKLayoutElement.h>`

Inheritance diagram for libetonyek::IWORKLayoutElement:

## Public Member Functions
| IWORKLayoutElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
virtual void | attribute (int name, const char *value)
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()
void | open ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Protected Attributes
bool | m_opened
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Private Attributes
IWORKStylePtr_t | m_style

## Constructor & Destructor Documentation

## ◆ IWORKLayoutElement()

libetonyek::IWORKLayoutElement::IWORKLayoutElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKLayoutElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| protectedvirtual

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKLayoutElement::element | ( | int | name | ) |
| protectedvirtual

## ◆ endOfElement()

void libetonyek::IWORKLayoutElement::endOfElement | ( |  | ) |
| protectedvirtual

## ◆ open()

void libetonyek::IWORKLayoutElement::open | ( |  | ) |
| protected

Referenced by element().

## Member Data Documentation

## ◆ m_opened

bool libetonyek::IWORKLayoutElement::m_opened
| protected

Referenced by element(), endOfElement(), and open().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKLayoutElement::m_style
| private

Referenced by attribute(), and open().

The documentation for this class was generated from the following files:

- IWORKLayoutElement.h
- IWORKLayoutElement.cpp